summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-13 00:20:48 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:20:48 +0200
commitdd8efeefbaea989dff119fbbe48c93fc6aa76327 (patch)
tree38312c66f12bf4fe2725656011acd31c1c0d8f35 /audio
parenta23483eb62314f90920c2aa1e55e32219ec83cd3 (diff)
downloadslackbuilds-dd8efeefbaea989dff119fbbe48c93fc6aa76327.tar.gz
slackbuilds-dd8efeefbaea989dff119fbbe48c93fc6aa76327.tar.xz
audio/ario: Updated for version 1.2
Diffstat (limited to 'audio')
-rw-r--r--audio/ario/ario.SlackBuild33
-rw-r--r--audio/ario/ario.info2
-rw-r--r--audio/ario/slack-desc10
3 files changed, 40 insertions, 5 deletions
diff --git a/audio/ario/ario.SlackBuild b/audio/ario/ario.SlackBuild
index 6be737de1f..83106049b9 100644
--- a/audio/ario/ario.SlackBuild
+++ b/audio/ario/ario.SlackBuild
@@ -1,7 +1,26 @@
-#!/bin/sh -eu
-
+#!/bin/sh
+#
# Slackware build script for Ario
-# Written by Erik Hanson erik@slackbuilds.org
+#
+# Copyright 2009 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=ario
VERSION=1.2
@@ -16,12 +35,17 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -eu
+
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
@@ -41,6 +65,7 @@ if $(pkg-config --exists avahi-core); then AVAHI="enable" ; else AVAHI="disable"
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var/lib \
--disable-static \
@@ -58,4 +83,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/ario/ario.info b/audio/ario/ario.info
index eb8e198c0a..a456a49ff8 100644
--- a/audio/ario/ario.info
+++ b/audio/ario/ario.info
@@ -2,7 +2,9 @@ PRGNAM="ario"
VERSION="1.2"
HOMEPAGE="http://ario-player.sourceforge.net/"
DOWNLOAD="http://downloads.sourceforge.net/ario-player/ario-1.2.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="73504fe9475ec1d812ecdb4e48b2a320"
+MD5SUM_x86_64=""
MAINTAINER="Erik Hanson"
EMAIL="erik@slackbuilds.org"
APPROVED="dsomero" \ No newline at end of file
diff --git a/audio/ario/slack-desc b/audio/ario/slack-desc
index 8223240ccd..efbab220b1 100644
--- a/audio/ario/slack-desc
+++ b/audio/ario/slack-desc
@@ -1,11 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
ario: Ario (a GTK2 client for MPD)
ario:
ario: Ario is a GTK2 client for MPD (Music player daemon). The interface
ario: used to browse the library is inspired by Rhythmbox but Ario aims
ario: to be much lighter and faster.
ario:
+ario: Homepage: http://ario-player.sourceforge.net/
ario:
ario:
ario:
-ario: http://ario-player.sourceforge.net/
ario: